Bug 487017 - kernel-2.6.27.15-170.2.24.fc10.i686 causes graphical performance issues and glitches using the radeon driver
kernel-2.6.27.15-170.2.24.fc10.i686 causes graphical performance issues and g...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-23 12:23 EST by Aran Cox
Modified: 2009-12-18 03:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:01:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg from 2.6.27.12-170.2.5.fc10.i686 (normal performance) (42.38 KB, text/plain)
2009-02-23 12:33 EST, Aran Cox
no flags Details
dmesg from 2.6.27.15-170.2.24.fc10.i686 (poor performance) (42.25 KB, text/plain)
2009-02-23 12:34 EST, Aran Cox
no flags Details
xorg log from 2.6.27.12-170.2.5.fc10.i686 (normal performance) (140.19 KB, text/plain)
2009-02-23 12:34 EST, Aran Cox
no flags Details
xorg log from 2.6.27.15-170.2.24.fc10 (poor performance) (201.98 KB, text/plain)
2009-02-23 12:35 EST, Aran Cox
no flags Details

  None (edit)
Description Aran Cox 2009-02-23 12:23:27 EST
Description of problem:
Booting into the latest kernel causes abysmal graphical performance using the radeon driver when compared to kernel-2.6.27.12-170.2.5.fc10.i686.  It also exhibits at least one visual glitch: the icons in the systray in kde don't render, but you can interact with them.  You can see black spaces where your pidgin, battery monitor, NetworkManager icons should be, you can interact with them normally once you figure out which one is which.  

Version-Release number of selected component (if applicable):
kernel-2.6.27.15-170.2.24.fc10.i686

How reproducible:
Every time.

Steps to Reproduce:
1. boot into kernel-2.6.27.15-170.2.24.fc10.i686
2. notice high X cpu utilization, very very sluggish performance
3. notice no visible icons in the system tray 
  
Actual results:
terrible performance

Expected results:
performance comparable to kernel-2.6.27.12-170.2.5.fc10.i686

Additional info:
My kernel is not tainted, I am not using any binary drivers.
I do not understand how switching back and forth between kernels could affect performance.  I am using identical kernel options to boot between the kernels, my xorg.conf is not changing.  The output from Xorg is different, specifically when booting into the most recent kernel it loads vgahw and int10 modules.  I will try to attach dmesg and Xorg.0.log from the old kernel and the latest.
Comment 1 Aran Cox 2009-02-23 12:33:21 EST
Created attachment 332953 [details]
dmesg from 2.6.27.12-170.2.5.fc10.i686 (normal performance)
Comment 2 Aran Cox 2009-02-23 12:34:09 EST
Created attachment 332954 [details]
dmesg from 2.6.27.15-170.2.24.fc10.i686 (poor performance)
Comment 3 Aran Cox 2009-02-23 12:34:49 EST
Created attachment 332955 [details]
xorg log from 2.6.27.12-170.2.5.fc10.i686 (normal performance)
Comment 4 Aran Cox 2009-02-23 12:35:43 EST
Created attachment 332956 [details]
xorg log from 2.6.27.15-170.2.24.fc10 (poor performance)
Comment 5 Aran Cox 2009-02-23 12:39:11 EST
Also, rhgb on the new kernel (2.6.27.15-170.2.24.fc10) does not work (that is, I get the text bar crawling across the screen, not the actual graphical boot) whereas it works on 2.6.27.12-170.2.5.fc10.i686.  I have a feeling this isn't a kernel bug but instead has to do with the initrd which subsequently influences what Xorg can do.  Still, I have no idea what I would need to do differently to make the initrd "right".  I tried regenerating the initrd using mkinitrd for the 2.6.27.15-170.2.24.fc10 kernel and there was no difference in performance or modules loaded.
Comment 6 Jérôme Glisse 2009-10-14 06:49:16 EDT
Can you test with fedora 12 livecd and report if it works with it.
Comment 7 Bug Zapper 2009-11-18 06:12:44 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 03:01:26 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.